summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Alexander Verbovetsky2020-02-23 17:42:47 +0100
committer Willy Sudiarto Raharjo2020-02-23 17:42:47 +0100
commit1e13b12c9b8d7243082a76e0e84ac75468709510 (patch)
tree3377951fcdb7fc14377c4c81ca4850ef74f42061
parentede67b9b9a007424c11db374adeeaa39930a8848 (diff)
downloadslackbuilds-1e13b12c9b8d7243082a76e0e84ac75468709510.tar.gz
system/intelmas: Added (Intel Memory And Storage Tool).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--system/intelmas/README13
-rw-r--r--system/intelmas/intelmas.SlackBuild84
-rw-r--r--system/intelmas/intelmas.info10
-rw-r--r--system/intelmas/slack-desc19
4 files changed, 126 insertions, 0 deletions
diff --git a/system/intelmas/README b/system/intelmas/README
new file mode 100644
index 0000000000..c3075ac504
--- /dev/null
+++ b/system/intelmas/README
@@ -0,0 +1,13 @@
+intelmas (Intel Memory And Storage Tool)
+
+The intelmas is a proprietary command-line tool to manage Intel SSDs and
+Optane memory devices. It provides firmware update capability as well as
+reading and setting many configuration settings.
+
+The intelmas unifies functionality of several Intel programs including
+the isdct (Intel SSD Data Center Tool), which was previously available
+on SBo. The intelmas is a drop-in replacement for the isdct.
+
+The sg kernel module is required by isdct. To have this module loaded
+on boot, please uncomment the corresponding line in
+/etc/rc.d/rc.modules.local
diff --git a/system/intelmas/intelmas.SlackBuild b/system/intelmas/intelmas.SlackBuild
new file mode 100644
index 0000000000..3cd7ff438e
--- /dev/null
+++ b/system/intelmas/intelmas.SlackBuild
@@ -0,0 +1,84 @@
+#!/bin/sh
+
+# Slackware build script for intelmas
+
+# Copyright 2020, Alexander Verbovetsky, Moscow, Russia
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=intelmas
+VERSION=${VERSION:-1.0.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+case "$ARCH" in
+ i?86) RPMARCH=i386 ;;
+ x86_64) RPMARCH=x86_64 ;;
+ *) printf "\n$ARCH is unsupported for the Intel Memory And Storage Tool.\n\n"
+ exit 1 ;;
+esac
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir -p $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+
+unzip "$CWD/Intel*MAS_CLI_Tool_${VERSION}*Linux*.zip"
+rpm2cpio intelmas-${VERSION}*.$RPMARCH.rpm | cpio -imdv
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# The library path is hard-coded, so we stick with /usr/lib
+cp -a usr $PKG
+mv $PKG/usr/bin $PKG/usr/sbin
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a *.pdf *.PDF $PKG/usr/doc/$PRGNAM-$VERSION 2>/dev/null || :
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/intelmas/intelmas.info b/system/intelmas/intelmas.info
new file mode 100644
index 0000000000..bca088fc70
--- /dev/null
+++ b/system/intelmas/intelmas.info
@@ -0,0 +1,10 @@
+PRGNAM="intelmas"
+VERSION="1.0.5"
+HOMEPAGE="https://downloadcenter.intel.com/download/29337"
+DOWNLOAD="https://downloadmirror.intel.com/29337/eng/Intel%C2%AE_MAS_CLI_Tool_1.0.5_Linux.zip"
+MD5SUM="6233fbfabd8d95635c3f02cc39431d66"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Alexander Verbovetsky"
+EMAIL="alik@ejik.org"
diff --git a/system/intelmas/slack-desc b/system/intelmas/slack-desc
new file mode 100644
index 0000000000..f478f9e568
--- /dev/null
+++ b/system/intelmas/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+intelmas: intelmas (Intel Memory And Storage Tool)
+intelmas:
+intelmas: The intelmas is a proprietary command-line tool to manage Intel SSDs
+intelmas: and Optane memory devices. It provides firmware update capability as
+intelmas: well as reading and setting many configuration settings.
+intelmas:
+intelmas:
+intelmas: Homepage: https://downloadcenter.intel.com/download/29337
+intelmas:
+intelmas:
+intelmas: